> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# RAY Stake

> Stake RAY in Raydium Farm product. Either percentage or amount is required.



## OpenAPI

````yaml /openapi/raydium.json post /v0/farm/RAY/stake
openapi: 3.1.1
info:
  title: Raydium Blinks API
  version: 0.0.1
servers:
  - url: https://raydium.dial.to/api
security: []
paths:
  /v0/farm/RAY/stake:
    post:
      tags:
        - Farm
      summary: RAY Stake
      description: >-
        Stake RAY in Raydium Farm product. Either percentage or amount is
        required.
      operationId: raydium.v0.farm.stakeRAY
      parameters:
        - name: percentage
          in: query
          style: deepObject
          explode: true
          schema:
            type: integer
            minimum: 0
            maximum: 100
            description: The percentage of RAY to stake
            default: 10
        - name: amount
          in: query
          style: deepObject
          explode: true
          schema:
            type: number
            minimum: 0
            description: The amount of RAY to stake. Human readable value, e.g. 0.1 RAY
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````